PWCK(8)

NAMN
pwck - validera integriteten för lösenordsfiler

SYNOPSIS

pwck [-q] [-s] [passwd shadow]

pwck [-q] [-r] [passwd shadow]

BESKRIVNING

pwck verifies the integrity of the system authentication information. All entries in the /etc/passwd and /etc/shadow are checked to see that the entry has the proper format and valid data in each field. The user is prompted to delete entries that are improperly formatted or which have other uncorrectable errors.

Kontroller görs för att validera att varje post har:

•   korrekt antal fält

•   ett unikt användarnamn

•   en giltig identifierare för användare och grupp

•   en giltig primär grupp

•   en giltig hemkatalog

•   ett giltigt inloggningsskal

The checks for correct number of fields and unique user name are fatal. If the entry has the wrong number of fields, the user will be prompted to delete the entire line. If the user does not answer affirmatively, all further checks are bypassed. An entry with a duplicated user name is prompted for deletion, but the remaining checks will still be made. All other errors are warning and the user is encouraged to run the usermod command to correct the error.

The commands which operate on the /etc/passwd file are not able to alter corrupted or duplicated entries. pwck should be used in those circumstances to remove the offending entry.

FLAGGOR

Flaggorna som gäller för kommandot pwck är:

-q  Report errors only. The warnings which do not require any action from the user won't be displayed.

-r  Starta kommandot pwck i skrivskyddat läge.

-s  Sorterar poster i /etc/passwd och /etc/shadow efter UID.

By default, pwck operates on the files /etc/passwd and /etc/shadow. The user may select alternate files with the passwd and shadow parameters.

FILER

/etc/group
    Gruppkontoinformation.

/etc/passwd
    Användarkontoinformation.

/etc/shadow
    Säker användarkontoinformation.

SE OCKSÅ

group(5), passwd(5), shadow(5), usermod(8).

AVSLUTNINGSVÄRDEN

Kommandot pwck avslutas med följande värden:

0   lyckad

1   ogiltig kommandosyntax

2   en eller flera felaktiga lösenordsposter

3   kan inte öppna lösenordsfiler

4   kan inte låsa lösenordsfiler

5   kan inte uppdatera lösenordsfiler